//
// Project: Digitalk Parts like Toolbar and SOMObjects Demo
// File:    Infodlg.hpp
// Author:  Stewart Hyde
// Created: Jan    7, 1994
// Updated: Jan    7, 1994
//
// Description:
//

#ifndef _INFODLG_HPP_
#define _INFODLG_HPP_

#ifndef _IFRAME_
	#include <iframe.hpp>
#endif

#ifndef _ICMDHDR_
	#include <icmdhdr.hpp>         
#endif

#ifndef _IWINDOW_
	#include <iwindow.hpp>
#endif

// ------------------------------------------------------------------------
//  Class:			InfoDialog
//  Derived:		IFrameWindow
//						ICommandHandler
//                
//  Description:	This class describes a generialize of loading information
//						only dialogs from the resource file
//
// ------------------------------------------------------------------------


class InfoDialog :  public ICommandHandler,
	       			  public IFrameWindow	
{
  	typedef IFrameWindow Inherited;
  	public:  
    	InfoDialog(unsigned long DialogId, IWindow * parentWnd, IWindow * ownerWnd);
    	~InfoDialog();		
   	Boolean DisplayDialog();     

 	protected:
    	Boolean command(ICommandEvent& cmdEvent);                               

  	private:
    	Boolean DialogReturn;
};

//
// inline functions
//

inline InfoDialog::~InfoDialog()
{
}


#endif

